% INIT_SHEARHEAT calculates a tau(i,j) matrix with the initial spacial distribution of
%	shear stress (taudat).


% Script component of TEMSPOL: a MATLAB thermal model for deep subduction
% zones including major phase transformations.
% A.M. Negredo, J.L. Valera and E. Carminati (2002)


% W is shear width. By default, it is calculated following the criterium of
%    Ponko and Peacock (1995) but if one wants to change the value, it can be
%    done in the following sentence.
W=2*Dx;  
h=W/2*tan(dip);     % Half-height of the area of shear heating (used later in shearheat.m)
% The shear heating rate is assumed to be different from 0 only whe the slab starts
%    descending into the mantle (time>0)
tau(1:I,1:J)=0;     % Defining initial shear stress distribution
